> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Process Source Data Status



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/onboarding/process_source_data/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/onboarding/process_source_data/status:
    get:
      tags:
        - onboarding
        - quanta-services-api
      summary: Get Process Source Data Status
      operationId: get_process_source_data_status
      parameters:
        - name: workflow_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Workflow Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessSourceDataStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProcessSourceDataStatus:
      properties:
        status:
          $ref: '#/components/schemas/ProcessSourceDataWorkflowStatus'
          default: not_started
        step:
          $ref: '#/components/schemas/ProcessSourceDataStep'
          default: not_started
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ProcessSourceDataStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProcessSourceDataWorkflowStatus:
      type: string
      enum:
        - not_started
        - running
        - skipped
        - completed
        - failed
      title: ProcessSourceDataWorkflowStatus
    ProcessSourceDataStep:
      type: string
      enum:
        - not_started
        - checking_onboarding_status
        - backfilling_sources
        - getting_batch_workflows
        - running_batch_workflows
        - transitioning_onboarding_status
        - completed
        - failed
      title: ProcessSourceDataStep
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.